import type { ColumnDefine, ICornerDefine, IIndicator, IDimension, ITitleDefine } from '@visactor/vtable';
import type { TooltipProps } from '../components/component/tooltip';
import type { MenuProps } from '../components/component/menu';
export declare function extractPivotSlotOptions(vnodes: any[]): {
    columns: ColumnDefine[];
    columnHeaderTitle: ITitleDefine[];
    rows: IDimension[];
    rowHeaderTitle: ITitleDefine[];
    indicators: IIndicator[];
    corner: ICornerDefine;
    tooltip: TooltipProps;
    menu: MenuProps;
};
export declare function extractListSlotOptions(vnodes: any[]): {
    columns: ColumnDefine[];
    tooltip: TooltipProps;
    menu: MenuProps;
};
